Bug 109518 - [CI][DRMTIP]igt@kms_fbcon_fbt@psr - skip - Test requirement: i < drm->res->count_connectors - No connector available
Summary: [CI][DRMTIP]igt@kms_fbcon_fbt@psr - skip - Test requirement: i < drm->res->co...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Dhinakaran Pandiyan
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-31 12:10 UTC by Lakshmi
Modified: 2019-04-25 06:19 UTC (History)
1 user (show)

See Also:
i915 platform: ICL
i915 features: display/PSR


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-01-31 12:10:04 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_195/fi-icl-u2/igt@kms_fbcon_fbt@psr.html
Starting subtest: psr
Test requirement not met in function set_mode_for_one_screen, file ../tests/kms_fbcon_fbt.c:153:
Test requirement: i < drm->res->count_connectors
No connector available
Subtest psr: SKIP (5.260s)
Comment 1 CI Bug Log 2019-01-31 12:13:14 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_fbcon_fbt@psr - Skip - Test requirement: i \&lt; drm-\&gt;res-\&gt;count_connectors\nNo connector available\nSubtest psr: SKIP
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_195/fi-icl-u2/igt@kms_fbcon_fbt@psr.html
Comment 2 CI Bug Log 2019-02-03 21:36:48 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_fbcon_fbt@psr - Skip - Test requirement: i \&lt; drm-\&gt;res-\&gt;count_connectors\nNo connector available\nSubtest psr: SKIP -}
{+ ICL: igt@kms_fbcon_fbt@psr - Skip - Test requirement: i \&lt; drm-\&gt;res-\&gt;count_connectors\nNo connector available\nSubtest psr: SKIP +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_203/fi-icl-u2/igt@kms_fbcon_fbt@psr-suspend.html
Comment 3 Jani Saarinen 2019-02-04 06:52:05 UTC
This system has PSR panel so should be analysed.
Comment 4 Dhinakaran Pandiyan 2019-02-06 03:32:45 UTC
(In reply to Jani Saarinen from comment #3)
> This system has PSR panel so should be analysed.
Not really a PSR issue. IGT patch sent to the list - 
https://patchwork.freedesktop.org/series/56210/
Comment 5 James Ausmus 2019-02-27 20:55:27 UTC
Did this end up getting merged?
Comment 6 Dhinakaran Pandiyan 2019-02-28 17:53:22 UTC
(In reply to James Ausmus from comment #5)
> Did this end up getting merged?
Looks like I was waiting for a reply and forgot about this patch. I am submitted a CI retest and will push the patch if the results are green.
Comment 7 Martin Peres 2019-04-23 12:39:55 UTC
(In reply to Dhinakaran Pandiyan from comment #6)
> (In reply to James Ausmus from comment #5)
> > Did this end up getting merged?
> Looks like I was waiting for a reply and forgot about this patch. I am
> submitted a CI retest and will push the patch if the results are green.

Still happening, so I assume you forgot ;)
Comment 8 Dhinakaran Pandiyan 2019-04-25 06:19:51 UTC
(In reply to Martin Peres from comment #7)
> (In reply to Dhinakaran Pandiyan from comment #6)
> > (In reply to James Ausmus from comment #5)
> > > Did this end up getting merged?
> > Looks like I was waiting for a reply and forgot about this patch. I am
> > submitted a CI retest and will push the patch if the results are green.
> 
> Still happening, so I assume you forgot ;)

Sorry, I did forget. How do I see the latest skips?

Clicking on the "Last seen..." link at https://intel-gfx-ci.01.org/cibuglog/index.html#issue_146 doesn't go anywhere.

I don't see kms_bcon_fbt@psr results at https://intel-gfx-ci.01.org/tree/drm-tip either and nothing happens when I change the view to shards-all.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.